Name: at-spi
Version: 1.1.8
Release: alt2

Summary: Assistive Technology Service Provider Interface
License: LGPL
Group: System/Libraries
Url: http://developer.gnome.org/projects/gap
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2

%define gtk_ver 2.2.0
%define libbonobo_ver 2.1.1
%define orbit2_ver 2.5.0
%define gail_ver 1.1.7
%define gtk_doc_ver 0.10

Requires: libgtk+2 >= %gtk_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: ORBit2 >= %orbit2_ver
Requires: libgail >= %gail_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: ORBit2-devel >= %orbit2_ver
BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Mon Jan 20 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel docbook-dtds docbook-style-dsssl fontconfig freetype2 glib2-devel glibc-devel-static gtk-doc indent libIDL libXft libart_lgpl-devel libatk-devel libbonobo2-devel libexpat libgail-devel libgnomecanvas-devel libgtk+2-devel liblinc-devel libpango-devel libpopt-devel libssl-devel openjade pkgconfig sgml-common

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n lib%name
Summary: Development libraries and headers for at-spi
Group: System/Libraries

%description -n lib%name
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package -n lib%name-devel
Summary: Development files for at-spi
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: ORBit2-devel >= %orbit2_ver
Requires: libgail-devel >= %gail_ver

%description -n lib%name-devel
Libraries and header files allowing compilation of apps that use at-spi.

%package -n lib%name-devel-static
Summary: Static libraries for at-spi
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Libraries allowing compilation of statically linked apps that use at-spi.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_bindir

%prep
%setup -q

%build
%configure --enable-static
%make_build

%install
%make_install DESTDIR=%buildroot \
	LIBRARY_PATH=%buildroot%_libdir install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_bindir/*
%_libdir/*.so.*
%_libdir/bonobo/*/*
%_libdir/gtk-2.0/*/*.so
%_libdir/orbit-2.0/*.so
%_datadir/idl/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/gtk-2.0/*/*.la
%_libdir/orbit-2.0/*.la
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/gtk-2.0/*/*.a
%_libdir/orbit-2.0/*.a

%changelog
* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt2
- buildreqs updated.

* Thu Dec 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt1
- 1.1.8

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Sat Dec 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt2
- rebuild with new pango, gtk+

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2
- (inger) update buildreqs

* Wed Jun 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- Adopted for Sisyphus.
- 1.0.1

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- add post/postun ldconfig

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- rebuild again?

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 0.12.1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.0.6

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, seems to have been linked incorrectly

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide, upgrade to 0.0.5
- add gail deps

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

